VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::system::StorageStub Class Reference

Remote stub implementation of the Storage API service. More...

Inherits vmware::appliance::system::Storage.

List of all members.

## Public Member Functions
| StorageStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < vmware.appliance.system.StorageTypes.StorageMapping > | List ()
| Get disk to partition mapping.
global::System.Collections.Generic.List < vmware.appliance.system.StorageTypes.StorageMapping > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get disk to partition mapping.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.system.StorageTypes.StorageMapping > > | ListAsync ()
| Get disk to partition mapping.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.system.StorageTypes.StorageMapping > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get disk to partition mapping.
void | Resize ()
| Resize all partitions to 100 percent of disk size.
void | Resize (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Resize all partitions to 100 percent of disk size.
global::System.Threading.Tasks.Task | ResizeAsync ()
| Resize all partitions to 100 percent of disk size.
global::System.Threading.Tasks.Task | ResizeAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Resize all partitions to 100 percent of disk size.

## Detailed Description

Remote stub implementation of the Storage API service.

## Constructor & Destructor Documentation

vmware::appliance::system::StorageStub::StorageStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

global::System.Collections.Generic.List<vmware.appliance.system.StorageTypes.StorageMapping> vmware::appliance::system::StorageStub::List | ( |  | ) | `[inline]`

Get disk to partition mapping.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of mapping items

Implements vmware::appliance::system::Storage.

global::System.Collections.Generic.List<vmware.appliance.system.StorageTypes.StorageMapping> vmware::appliance::system::StorageStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get disk to partition mapping.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of mapping items

Implements vmware::appliance::system::Storage.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.system.StorageTypes.StorageMapping> > vmware::appliance::system::StorageStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get disk to partition mapping.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of mapping items

Implements vmware::appliance::system::Storage.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.system.StorageTypes.StorageMapping> > vmware::appliance::system::StorageStub::ListAsync | ( |  | ) | `[inline]`

Get disk to partition mapping.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of mapping items

Implements vmware::appliance::system::Storage.

void vmware::appliance::system::StorageStub::Resize | ( |  | ) | `[inline]`

Resize all partitions to 100 percent of disk size.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::system::Storage.

void vmware::appliance::system::StorageStub::Resize | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Resize all partitions to 100 percent of disk size.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::system::Storage.

global::System.Threading.Tasks.Task vmware::appliance::system::StorageStub::ResizeAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Resize all partitions to 100 percent of disk size.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::system::Storage.

global::System.Threading.Tasks.Task vmware::appliance::system::StorageStub::ResizeAsync | ( |  | ) | `[inline]`

Resize all partitions to 100 percent of disk size.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implements vmware::appliance::system::Storage.

The documentation for this class was generated from the following file:

- appliance/system/StorageStub.cs